changelog 21.9 KB
Newer Older
Laurent Bigonville's avatar
Laurent Bigonville committed
1 2 3 4 5 6
gnome-software (3.38.0-3) unstable; urgency=medium

  * Add an upstream patch to fix offline updates (Closes: #972506)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Dec 2020 09:33:29 +0100

Simon McVittie's avatar
Simon McVittie committed
7 8 9
gnome-software (3.38.0-2) unstable; urgency=medium

  * Team upload
10

Simon McVittie's avatar
Simon McVittie committed
11
  [ Gunnar Hjalmarsson ]
12 13 14 15 16
  * d/control changes needed for Ubuntu's language packs:
    - Set X-Ubuntu-Use-Langpack header
    - Add policykit-1 to Build-Depends to make xgettext able to handle
      org.gnome.software.external-appstream.policy.in.in

Simon McVittie's avatar
Simon McVittie committed
17 18 19 20 21
  [ Simon McVittie ]
  * d/rules: Remove unused files even in purely arch-indep builds.
    This fixes FTBFS (from dh_missing --fail-missing) when only building
    the arch-indep packages.

Simon McVittie's avatar
Simon McVittie committed
22
 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 18:42:42 +0100
23

Gunnar Hjalmarsson's avatar
Gunnar Hjalmarsson committed
24
gnome-software (3.38.0-1) unstable; urgency=medium
Gunnar Hjalmarsson's avatar
Gunnar Hjalmarsson committed
25 26

  * New upstream release
27
  * Bump debhelper-compat to 13
28
  * debian/rules: Remove libgnomesoftware.a
Gunnar Hjalmarsson's avatar
Gunnar Hjalmarsson committed
29

Gunnar Hjalmarsson's avatar
Gunnar Hjalmarsson committed
30
 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 05 Oct 2020 12:25:03 +0200
Gunnar Hjalmarsson's avatar
Gunnar Hjalmarsson committed
31

Laurent Bigonville's avatar
Laurent Bigonville committed
32 33 34 35 36 37
gnome-software (3.36.1-2) unstable; urgency=medium

  * Enable malcontent on supported architectures

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jul 2020 18:24:31 +0200

Laurent Bigonville's avatar
Laurent Bigonville committed
38
gnome-software (3.36.1-1) unstable; urgency=medium
Laurent Bigonville's avatar
Laurent Bigonville committed
39 40

  * New upstream release
Laurent Bigonville's avatar
Laurent Bigonville committed
41
    - Drop patches that were cherry-picked from upstream
Laurent Bigonville's avatar
Laurent Bigonville committed
42

Laurent Bigonville's avatar
Laurent Bigonville committed
43
 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jun 2020 11:25:25 +0200
Laurent Bigonville's avatar
Laurent Bigonville committed
44

Laurent Bigonville's avatar
Laurent Bigonville committed
45 46 47 48 49 50 51 52 53
gnome-software (3.36.0-3) unstable; urgency=medium

  * Fix missing icons in the store, patch from upstream.
    Thanks to Matthias Klumpp <matthias@tenstral.net>
  * Do not fail to load the appstream plugin if any of the metadata
    directories doesn't exist (Closes: #958915)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Apr 2020 15:13:57 +0200

Matthias Klumpp's avatar
Matthias Klumpp committed
54 55 56 57 58 59 60 61 62 63
gnome-software (3.36.0-2) unstable; urgency=medium

  * Add fix-appstream-featured-data.patch
    - This restores a regression fix that was accidentally reverted
      in the 3.36.0 release. The issue caused invalid AppStream data to
      be added to the global metadata pool, resulting in a confusing
      warning to people using APT or an AppStream cache (Closes: #932747)

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Apr 2020 18:16:58 +0200

Laurent Bigonville's avatar
Laurent Bigonville committed
64
gnome-software (3.36.0-1) unstable; urgency=medium
Laurent Bigonville's avatar
Laurent Bigonville committed
65 66 67

  * New upstream release

Laurent Bigonville's avatar
Laurent Bigonville committed
68
 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 14:35:17 +0100
Laurent Bigonville's avatar
Laurent Bigonville committed
69

Laurent Bigonville's avatar
Laurent Bigonville committed
70
gnome-software (3.35.91-1) experimental; urgency=medium
Laurent Bigonville's avatar
Laurent Bigonville committed
71 72

  * New upstream release
Laurent Bigonville's avatar
Laurent Bigonville committed
73 74 75 76 77 78 79 80 81 82
    - Drop d/p/0001-gs-appstream-Fix-loading-of-icons-from-AppStream-YAM.patch
      and d/p/snap-Don-t-try-to-get-alternatives-for-non-snaps.patch, applied
      upstream
    - debian/control.in: Add libostree-dev to the build-dependencies as it's
      explicityly required by flatpak plugin now
    - debian/gnome-software.install: Remove the banner editor, it's now a
      standalone app
    - debian/control.in: Bump minimal meson to 0.47
  * Disable malcontent for now as it's not in the archive yet
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
Laurent Bigonville's avatar
Laurent Bigonville committed
83

Laurent Bigonville's avatar
Laurent Bigonville committed
84
 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 13:33:18 +0100
Laurent Bigonville's avatar
Laurent Bigonville committed
85

Laurent Bigonville's avatar
Laurent Bigonville committed
86
gnome-software (3.34.2-2) unstable; urgency=medium
87 88 89

  * Stop overriding libexecdir and move the daemons to /usr/libexec now that
    this is allowed in the debian policy
90 91
  * d/p/0001-gs-appstream-Fix-loading-of-icons-from-AppStream-YAM.patch:
    Fix loading of icons from AppStream YAM (Thanks to Robert Ancell)
92 93
  * d/p/snap-Don-t-try-to-get-alternatives-for-non-snaps.patch: Do not try to
    manage alternative for non-snaps applications (Closes: #947237)
94 95
  * debian/control.in: Add the needed -doc packages to the build-dependencies
    so the links between the documentation files are properly resolved
96
  * debian/control.in: Add Build-Profiles <!nodoc> for the -doc package
97

Laurent Bigonville's avatar
Laurent Bigonville committed
98
 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 11:39:19 +0100
99

Laurent Bigonville's avatar
Laurent Bigonville committed
100
gnome-software (3.34.2-1) unstable; urgency=medium
101 102 103

  * debian/rules: Use filter instead of findstring to detect the architecture,
    this will avoid matching partial names like ppc64 and ppc64el
Laurent Bigonville's avatar
Laurent Bigonville committed
104
  * New upstream release
105 106
    - debian/patches/series: Disable d/p/0011-Support-snap-channels.patch patch
      for now, it doesn't apply cleanly anymore
107 108
  * debian/control.in: Drop gnome-packagekit-session transitional package,
    this was released with stretch. (Closes: #939207)
109

Laurent Bigonville's avatar
Laurent Bigonville committed
110
 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Dec 2019 18:17:52 +0100
111

Laurent Bigonville's avatar
Laurent Bigonville committed
112
gnome-software (3.34.0-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
113

Andreas Henriksson's avatar
Andreas Henriksson committed
114
  [ Jeremy Bicha ]
Andreas Henriksson's avatar
Andreas Henriksson committed
115 116 117 118
  * New upstream release (3.31.90)
  * Drop 5 patches applied in new release
  * Build-Depend on libgoa-1.0-dev & libxmlb-dev
  * Drop obsolete Build-Depends on libsecret-1-dev
Jeremy Bicha's avatar
Jeremy Bicha committed
119

Andreas Henriksson's avatar
Andreas Henriksson committed
120
  [ Andreas Henriksson ]
Andreas Henriksson's avatar
Andreas Henriksson committed
121 122 123 124 125 126 127 128
  * New upstream release (3.34.0)
  * Bump build-dependencies as per meson.build
  * Update debian/changelog
  * Drop d/p/0020-details-page-Don-t-show-missing-screenshot-placehold.patch.
    Obsoleted by upstream commit abdf04b4f1e44449ea8288ac7e102c0e8cb1d533
    "Refactor screenshots and hide those unavailable when offline"
  * Massage d/p/0011-Support-snap-channels.patch to apply
  * Let quilt refresh d/p/0011-Support-snap-channels.patch
Laurent Bigonville's avatar
Laurent Bigonville committed
129 130
  * Let quilt refresh
    d/p/0021-details-Use-custom-icon-for-verified-developers.patch
Andreas Henriksson's avatar
Andreas Henriksson committed
131

132 133 134
  [ Laurent Bigonville ]
  * debian/control.in: Bump libsnapd-glib-dev to 1.54 to avoid a bug in the
    .pc file not setting the include directory
135
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
136

Laurent Bigonville's avatar
Laurent Bigonville committed
137
 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Dec 2019 13:55:11 +0100
Jeremy Bicha's avatar
Jeremy Bicha committed
138

139 140 141 142 143 144 145 146 147 148
gnome-software (3.30.6-5) unstable; urgency=medium

  * Cherry-pick 8 Snap patches via Ubuntu
    - Support switching channels, add verified developer support, use
      "wide scope" searching (search all channels), use the new media API,
      don't show "missing screenshot" placeholder
  * Bump minimum libsnapd-glib-dev to 1.45

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Feb 2019 21:09:02 -0500

149 150 151 152 153 154 155
gnome-software (3.30.6-4) unstable; urgency=medium

  * Re-enable Flatpak on mipsel
  * Don't enable snap on ppc64 since snapd never built there

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Jan 2019 17:25:24 -0500

156 157 158 159 160 161 162
gnome-software (3.30.6-3) unstable; urgency=medium

  * Don't try building Flatpak support on architectures where Flatpak
    isn't built

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Jan 2019 01:44:44 -0500

163 164 165 166 167 168 169 170 171 172 173 174
gnome-software (3.30.6-2) unstable; urgency=medium

  * Recommend instead of Suggest fwupd (Closes: #916036)
  * Enable fwupd on all Linux architectures
  * Drop obsolete Build-Depends on intltool
  * Add Conflicts: sessioninstaller
    - since it also provides the PackageKit session interface
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Jan 2019 17:26:30 -0500

175
gnome-software (3.30.6-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
176 177

  * New upstream release
178 179 180 181 182 183 184 185 186
  * Bump required libappstream-glib-dev to >= 0.7.14
  * Bump minimum PackageKit to 1.1.11 for autoremove support
  * Drop obsolete Build-Depends on liboauth-dev and libsqlite3-dev
  * Update configure flags
  * Add -Wl,-O1 to our LDFLAGS
  * Recommend gnome-software-plugin-snap on Ubuntu
  * Mark universe packages as free on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Dec 2018 10:16:34 -0500
Jeremy Bicha's avatar
Jeremy Bicha committed
187

188
gnome-software (3.30.5-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
189 190 191 192 193 194

  [ Jeremy Bicha ]
  * New upstream release
  * Bump minimum libglib2.0-dev to 2.56.0
  * Enable packagekit autoremove support
  * Bump minimum libpackagekit-glib2-dev to 1.1.11 for autoremove support
Jeremy Bicha's avatar
Jeremy Bicha committed
195 196 197 198 199

  [ Andrea Azzarone ]
  * Bump Standards-Version to 4.2.1
  * Set Rules-Requires-Root to no

200
 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Nov 2018 16:48:13 -0500
Jeremy Bicha's avatar
Jeremy Bicha committed
201

Laurent Bigonville's avatar
Laurent Bigonville committed
202
gnome-software (3.30.1-1) unstable; urgency=medium
Laurent Bigonville's avatar
Laurent Bigonville committed
203 204 205 206

  * New upstream release
  * debian/control.in: Bump build-dependencies
  * debian/rules: Rename the options, the "enable" part has been removed
Laurent Bigonville's avatar
Laurent Bigonville committed
207
  * Remove limba plugin, dropped upstream
Laurent Bigonville's avatar
Laurent Bigonville committed
208

Laurent Bigonville's avatar
Laurent Bigonville committed
209
 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Oct 2018 11:57:57 +0200
Laurent Bigonville's avatar
Laurent Bigonville committed
210

211
gnome-software (3.28.2-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
212 213 214

  * New upstream release

215
 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 May 2018 22:01:33 -0400
Jeremy Bicha's avatar
Jeremy Bicha committed
216

217
gnome-software (3.28.1-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
218 219

  * New upstream release
Jeremy Bicha's avatar
Jeremy Bicha committed
220
  * Bump Standards-Version to 4.1.4
221
  * debian/rules: drop obsolete dh_translations workaround
Jeremy Bicha's avatar
Jeremy Bicha committed
222

223
 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 19:45:35 -0400
Jeremy Bicha's avatar
Jeremy Bicha committed
224

225
gnome-software (3.28.0-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
226 227 228

  * New upstream release

229
 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 17:22:24 -0400
Jeremy Bicha's avatar
Jeremy Bicha committed
230

231
gnome-software (3.27.92-1) unstable; urgency=medium
232

Jeremy Bicha's avatar
Jeremy Bicha committed
233
  * New upstream release candidate
234
  * Update gsettings schema names for new release ("sources" renamed to
Simon McVittie's avatar
Simon McVittie committed
235
    "repos") (Closes: #892456)
236
  * Depend on libgtk3-perl for debconf's GNOME backend
237
  * Bump minimum libfwupd-dev to 1.0.3
238
  * Release to unstable
239

240
 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 21:13:52 -0500
241

242
gnome-software (3.27.90-1) experimental; urgency=medium
243 244

  * New upstream development release
245 246 247 248
  * Bump dependencies for new version:
    - libappstream-glib-dev (>= 0.7.3), libfwupd (>= 0.9.8),
      libgtk-3-dev (>= 3.22.4)
  * Build-Depend on libgspell-1-dev instead of libgtkspell3-3-dev
Jeremy Bicha's avatar
Jeremy Bicha committed
249
  * debian/docs: Install README.md
250

251
 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 16:27:18 -0500
252

253
gnome-software (3.26.5-1) unstable; urgency=medium
254

Jeremy Bicha's avatar
Jeremy Bicha committed
255
  * New upstream release
256
  * Update Vcs fields for migration to https://salsa.debian.org/
Jeremy Bicha's avatar
Jeremy Bicha committed
257
  * Bump debhelper compat to 11
258

259
 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 07:48:06 -0500
260

261
gnome-software (3.26.3-4) unstable; urgency=medium
262

Jeremy Bicha's avatar
Jeremy Bicha committed
263 264 265
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
266
  * Stop using appdata-to-NEWS to install NEWS. It's no longer needed.
Jeremy Bicha's avatar
Jeremy Bicha committed
267
  * Add some Multi-Arch metadata
268

269
 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 13:24:18 -0500
270

Jeremy Bicha's avatar
Jeremy Bicha committed
271
gnome-software (3.26.3-3) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
272 273 274

  * Fix arch:all build

Jeremy Bicha's avatar
Jeremy Bicha committed
275
 -- Jeremy Bicha <jbicha@debian.org>  Fri, 24 Nov 2017 19:57:28 -0500
Jeremy Bicha's avatar
Jeremy Bicha committed
276

Jeremy Bicha's avatar
Jeremy Bicha committed
277
gnome-software (3.26.3-2) unstable; urgency=medium
278

279
  * Only build snap plugin on architectures where snapd is built.
280

Jeremy Bicha's avatar
Jeremy Bicha committed
281
 -- Jeremy Bicha <jbicha@debian.org>  Fri, 24 Nov 2017 16:31:19 -0500
282

Jeremy Bicha's avatar
Jeremy Bicha committed
283
gnome-software (3.26.3-1) unstable; urgency=medium
284

Jeremy Bicha's avatar
Jeremy Bicha committed
285
  * New upstream release
286
  * Use appstream-util appdata-to-news to install NEWS
Jeremy Bicha's avatar
Jeremy Bicha committed
287
  * Build gnome-software-plugin-snap again (Closes: #877684)
288

Jeremy Bicha's avatar
Jeremy Bicha committed
289
 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Nov 2017 19:19:28 -0500
290

Jeremy Bicha's avatar
Jeremy Bicha committed
291
gnome-software (3.26.2-1) unstable; urgency=medium
292 293

  * New upstream release
Jeremy Bicha's avatar
Jeremy Bicha committed
294 295
  * debian/control.in:
    - Bump required fwupd to >= 0.9.7
296 297
  * Drop all patches, applied in new release.

Jeremy Bicha's avatar
Jeremy Bicha committed
298
 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Nov 2017 09:30:30 -0500
299

300
gnome-software (3.26.1-2) unstable; urgency=medium
301 302 303

  * Cherry-pick upstream fixes to make gnome-software build against fwupd 1.0.
    (Closes: #879006)
304
  * Enable GUDev support only on Linux. (Closes: #875916)
305

306
 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2017 05:36:14 +0200
307

Jeremy Bicha's avatar
Jeremy Bicha committed
308
gnome-software (3.26.1-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
309 310

  * New upstream release
Jeremy Bicha's avatar
Jeremy Bicha committed
311
  * Bump Standards-Version to 4.1.1
Jeremy Bicha's avatar
Jeremy Bicha committed
312

Jeremy Bicha's avatar
Jeremy Bicha committed
313
 -- Jeremy Bicha <jbicha@debian.org>  Thu, 05 Oct 2017 22:02:21 -0400
Jeremy Bicha's avatar
Jeremy Bicha committed
314

Jeremy Bicha's avatar
Jeremy Bicha committed
315
gnome-software (3.26.0-2) unstable; urgency=medium
316 317

  * Only build with valgrind on architectures where valgrind is available
Jeremy Bicha's avatar
Jeremy Bicha committed
318
  * Bump Standards-Version to 4.1.0
319

Jeremy Bicha's avatar
Jeremy Bicha committed
320
 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 08:20:01 -0400
321

Jeremy Bicha's avatar
Jeremy Bicha committed
322
gnome-software (3.26.0-1) unstable; urgency=medium
323

Jeremy Bicha's avatar
Jeremy Bicha committed
324
  [ Jeremy Bicha ]
Jeremy Bicha's avatar
Jeremy Bicha committed
325
  * Release to unstable
Jeremy Bicha's avatar
Jeremy Bicha committed
326
  * New upstream release
327
  * Add apport hook to report which gnome-software plugins are installed
328 329
  * debian/rules
    - Add workaround for Ubuntu translations issue
Jeremy Bicha's avatar
Jeremy Bicha committed
330

Jeremy Bicha's avatar
Jeremy Bicha committed
331 332 333 334
  [ Iain Lane ]
  * debian/rules: Make sure to not build with -Wl,-Bsymbolic-functions

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 20:30:08 -0400
335

336
gnome-software (3.25.91-1) experimental; urgency=medium
337 338

  * debian/compat: Bump to 10, mainly to get --parallel by default.
Iain Lane's avatar
Iain Lane committed
339 340 341
  * New upstream release 3.25.91 (LP: #1706715)
    + Doesn't let you cancel PackageKit (.deb) installations when PK says it's
      not allowed. (LP: #1707053)
342

343
 -- Iain Lane <laney@debian.org>  Thu, 24 Aug 2017 16:33:38 +0100
344

345
gnome-software (3.25.4-1) experimental; urgency=medium
Iain Lane's avatar
Iain Lane committed
346 347 348 349 350 351 352

  * New upstream release 3.25.4
  * debian/rules: Switch to debhelper's meson buildsystem instead of calling
    meson directly ourselves.
  * debian/rules: Use dh_missing --fail-missing instead of dh_install.
  * debian/control{,.in}: Bump debhelper BD to 10.4 for the above.

353
 -- Iain Lane <laney@debian.org>  Tue, 25 Jul 2017 13:02:15 +0100
Iain Lane's avatar
Iain Lane committed
354

355
gnome-software (3.25.3-1) experimental; urgency=medium
Iain Lane's avatar
Iain Lane committed
356 357 358 359 360 361 362

  * New upstream release 3.25.3
  * debian/control{,.in}: Bump libappstrem-glib-dev and libfwupd-dev versions
    in line with meson.build.
  * debian/rules: -Denable-firmware is now called -Denable-fwupd.
  * debian/patches: Drop - these are all upstream.

363
 -- Iain Lane <laney@debian.org>  Fri, 23 Jun 2017 17:44:59 +0100
Iain Lane's avatar
Iain Lane committed
364

365
gnome-software (3.25.1-1) experimental; urgency=medium
366

367
  [ Jeremy Bicha ]
368 369 370
  * debian/control.in:
    - Bump minimum appstream-glib to 0.6.7

371 372 373 374 375 376 377 378 379 380 381 382 383
  [ Iain Lane ]
  * New upstream development release 3.25.1
  * debian/watch: Find unstable versions
  * Build with meson. The debhelper support isn't yet in Debian, so we're
    calling meson directly. Once it is, we can switch.
  * debian/patches/0001-build-Use-the-configured-directory-locations-to-inst.patch,
    debian/patches/0002-build-Fix-the-pcfile.patch,
    debian/patches/0003-build-limba-Set-limba-as-a-dependency.patch: Some
    cherry-picks I pushed upstream which fix the build to build and install
    all the right things.
  * debian/control{,.in}, debian/gnome-software-{dev,doc}.install: Install the
    headers and gtk-doc documentation so that external plugins can be built.
  * debian/rules: Build with --fail-missing.
384
  * debian/copyright: Consolidate and update.
385

386
 -- Iain Lane <laney@debian.org>  Fri, 05 May 2017 17:31:43 +0100
387

mak's avatar
mak committed
388 389 390 391 392 393 394 395 396 397 398
gnome-software (3.22.5-1) unstable; urgency=medium

  * New upstream bugfix release: 3.22.5
  * Add support for the PureOS Debian derivative
  * Explicitly enable AppStream icon download in APT
    - With a recent change in Debian's AppStream support,
      GUI frontends which need icons have to enable their
      download explicitly.

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Jan 2017 19:06:34 +0100

Laurent Bigonville's avatar
Laurent Bigonville committed
399
gnome-software (3.22.4-1) unstable; urgency=medium
400

Laurent Bigonville's avatar
Laurent Bigonville committed
401
  [ Jeremy Bicha ]
402 403 404 405 406
  * debian/gnome-software.gsettings-override.in, debian/rules:
    - Use Ubuntu's licensing URL when built on Ubuntu
  * debian/rules:
    - Enable Ubuntu Reviews on Ubuntu

Laurent Bigonville's avatar
Laurent Bigonville committed
407 408 409 410 411 412 413 414
  [ Laurent Bigonville ]
  * New upstream release
    - Bump libappstream-glib-dev and libflatpak-dev build-dependencies
    - Drop debian/patches/01_pkgname-sanity.patch and
      debian/patches/02_packagekit-linking.patch, applied upstream
    - Disable gnome-software-plugin-snap package, it now requires snapd-glib
      which is not in debian yet

Laurent Bigonville's avatar
Laurent Bigonville committed
415
 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Dec 2016 11:46:39 +0100
416

mak's avatar
mak committed
417
gnome-software (3.22.1-1) unstable; urgency=medium
418

mak's avatar
mak committed
419
  [ Helmut Grohne ]
420 421
  * Fix FTCBFS: Deconfuse build vs. host. (Closes: #839878)

mak's avatar
mak committed
422 423 424 425 426 427 428 429 430 431 432 433
  [ Matthias Klumpp ]
  * New upstream bugfix release: 3.22.1
  * Make Snappy/Snap plugin available as separate package
  * packagekit-linking.patch: Fix PackageKit underlinking
  * pkgname-sanity.patch: Never pass broken pkgnames to PackageKit for resolving
    - Closes: #840654
    - Closes: #839736
    - Closes: #827723 - if we are lucky.
  * Depend on software-properties-gtk (Closes: #840368)
    - We can do that now, since s-p-g switched to using PackageKit too.

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Oct 2016 16:32:42 +0200
434

mak's avatar
mak committed
435
gnome-software (3.22.0-1) unstable; urgency=medium
Jeremy Bicha's avatar
Jeremy Bicha committed
436

437
  [ Jeremy Bicha ]
438
  * New upstream release
Jeremy Bicha's avatar
Jeremy Bicha committed
439
  * Add debian/docs to install NEWS
440
  * Use separate packages for flatpak and limba plugins
441 442
  * debian/control.in:
    - Update Vcs links
443
    - Build-depend on autoconf-archive
444
    - Have gnome-software suggest flatpak and limba plugins
445
    - Bump build-dependencies based on configure.ac
Jeremy Bicha's avatar
Jeremy Bicha committed
446 447
  * debian/rules:
    - Build with autoreconf
Jeremy Bicha's avatar
Jeremy Bicha committed
448

449 450 451 452
  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.

453
  [ Simon McVittie ]
454 455 456 457 458
  * New upstream release: 3.22.0
    - This release closes upstream bugs
      + Closes: #838200
      + Closes: #829975
      + Closes: #836919
459 460 461 462 463 464 465 466 467 468 469 470 471 472
    - build-depend on libappstream-glib-dev (>= 0.6.2) to get all mandatory
      and optional functionality
    - build-depend on libflatpak-dev and enable Flatpak
    - build-depend on libsecret-1-dev
    - build-depend on gudev on linux-any
    - bump Gtk build-dependency
    - explicitly disable OSTree support for now, OSTree in Debian is not
      ready to be used for OS deployment
    - d/p/01_debian-dfsg.patch: remove, the same result can be achieved
      with GSettings now
    - d/gnome-software.gsettings-override.in: consider the 'main'
      component to be Free Software (Ubuntu will likely want to patch this
      to do the same for universe)

mak's avatar
mak committed
473 474 475 476 477
  [ Matthias Klumpp ]
  * Explicitly enable PackageKit, gnome-desktop support
  * Small tweaks for debian/rules
  * Make package binNMUable again
  * Bump PackageKit dependency to >= 1.1.4 (Closes: #823989)
mak's avatar
mak committed
478
  * Update d/copyright
mak's avatar
mak committed
479 480

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Sep 2016 20:48:42 +0200
Jeremy Bicha's avatar
Jeremy Bicha committed
481

Laurent Bigonville's avatar
Laurent Bigonville committed
482
gnome-software (3.20.2-2) unstable; urgency=medium
483 484 485 486

  * debian/rules: Do not use -X parameter for dh_install, some files were not
    installed as expected.

Laurent Bigonville's avatar
Laurent Bigonville committed
487
 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Apr 2016 14:26:44 +0200
488

mak's avatar
mak committed
489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505
gnome-software (3.20.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream release: 3.20.2
  * Enable the (alpha) Open Desktop Review Service (ODRS) feature
  * Update dependencies:
    - Bump libpackagekit-glib2-dev (>= 1.1)
    - Bump libappstream-glib-dev (>= 0.5.14)
    - Bump liblimba-dev (>= 0.5.6)
    - Add libjson-glib-dev
    - Add libgtkspell3-3-dev (>= 3.0)
  * Drop patches: Applied upstream
  * Add Debian DFSG plugin to set license information
    - See debian-dfsg.patch
    - In case we don't know if a software is free or not based on the license
      data it supplies, we set it as free based on it originating from "main".
  * Set provenance for Debian
506

mak's avatar
mak committed
507
  [ Michael Biebl ]
508 509 510 511
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

mak's avatar
mak committed
512
 -- Matthias Klumpp <mak@debian.org>  Mon, 25 Apr 2016 18:12:18 +0200
513

mak's avatar
mak committed
514 515 516 517 518 519 520 521 522
gnome-software (3.18.3-3) unstable; urgency=medium

  * Add 01_fwupd-dont-crash.patch: Don't crash when the fwupd daemon
    is removed.
  * Add 02_fwupd-nofail.patch: Do not fail update checks if fwupd is
    not available. (Closes: #808305)

 -- Matthias Klumpp <mak@debian.org>  Fri, 15 Jan 2016 15:14:42 +0100

mak's avatar
mak committed
523 524 525 526 527 528 529 530 531 532
gnome-software (3.18.3-2) unstable; urgency=medium

  * Enable fwupd support
    - This allows updating flashed firmware from GNOME-Software
      when 'fwupd' is installed.
  * Depend on 'appstream'
    - Enables AppStream/DEP-11 integration on Debian automatically.

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Dec 2015 16:02:42 +0100

mak's avatar
mak committed
533 534 535 536 537 538 539
gnome-software (3.18.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - Closes: #803418

 -- Matthias Klumpp <mak@debian.org>  Thu, 05 Nov 2015 20:04:16 +0100

mak's avatar
mak committed
540
gnome-software (3.18.2-2) unstable; urgency=medium
mak's avatar
mak committed
541 542 543 544 545 546 547

  * Add missing Breaks/Replaces against gnome-packagekit-session
    - Closes: #802458
  * Explicitly depend on PackageKit (Closes: #794979)
    - GNOME-Software needs the PackageKit daemon to work properly
      at time.

mak's avatar
mak committed
548
 -- Matthias Klumpp <mak@debian.org>  Wed, 21 Oct 2015 20:26:34 +0200
mak's avatar
mak committed
549

mak's avatar
mak committed
550
gnome-software (3.18.2-1) unstable; urgency=medium
Michael Biebl's avatar
Michael Biebl committed
551

mak's avatar
mak committed
552 553 554 555 556
  [ Michael Biebl ]
  * Use https:// for Vcs-Browser

  [ Matthias Klumpp ]
  * New upstream release: 3.18.2
557 558 559 560 561 562 563 564 565 566
  * Update Build-Depends:
    - Bump libpackagekit-glib2-dev to (>= 1.0.10)
    - Bump libsoup2.4-dev to (>= 2.52)
    - Bump libgnome-desktop-3-dev to (>= 3.18)
    - Bump libappstream-glib-dev to (>= 0.5.1)
    - Bump libgtk-3-dev to (>= 3.18)
    - Add liblimba-dev (>= 0.5.2) on Linux
  * Sort build dependencies
  * Enable optional support for the Limba installer.
    - Will be inert if not explicitly configured.
Michael Biebl's avatar
Michael Biebl committed
567

mak's avatar
mak committed
568
 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 19:54:10 +0200
Michael Biebl's avatar
Michael Biebl committed
569

mak's avatar
mak committed
570 571 572 573 574 575 576
gnome-software (3.16.5-2) unstable; urgency=medium

  * Add transitional package for the PK session interface
  * Do not ship with Fedora-specific plugins

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Aug 2015 18:18:44 +0200

577
gnome-software (3.16.5-1) unstable; urgency=medium
Michael Biebl's avatar
Michael Biebl committed
578 579 580

  * New upstream release.

581
 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 16:27:58 +0200
Michael Biebl's avatar
Michael Biebl committed
582

583
gnome-software (3.16.4-1) unstable; urgency=medium
Michael Biebl's avatar
Michael Biebl committed
584 585

  * New upstream release.
586 587 588 589 590
  * Update Build-Depends as per configure.ac:
    - Add appstream-util.
    - Add libpolkit-gobject-1-dev.
    - Bump libappstream-glib-dev to (>= 0.3.4).
    - Bump libgtk-3-dev to (>= 3.16).
591 592
  * Drop hard-coded dependency on libappstream-glib7 now that the library
    provides a symbols file.
593 594
  * Use dh_install's exclude (-X) functionality to not install the .a and .la
    files.
Michael Biebl's avatar
Michael Biebl committed
595

596
 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jul 2015 00:03:04 +0200
Michael Biebl's avatar
Michael Biebl committed
597

Laurent Bigonville's avatar
Laurent Bigonville committed
598
gnome-software (3.14.2-1) unstable; urgency=medium
Laurent Bigonville's avatar
Laurent Bigonville committed
599 600 601 602 603 604

  * New upstream release
  * debian/control.in: Bump both appstream-glib build and runtime dependencies
    to >= 0.3.2, this can be reverted when appstream-glib will provide a
    .symbols file

Laurent Bigonville's avatar
Laurent Bigonville committed
605
 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 Nov 2014 23:08:05 +0100
Laurent Bigonville's avatar
Laurent Bigonville committed
606

Laurent Bigonville's avatar
Laurent Bigonville committed
607
gnome-software (3.14.1-2) unstable; urgency=medium
608 609 610

  * debian/rules, debian/gnome-software.install: Install appdata file

Laurent Bigonville's avatar
Laurent Bigonville committed
611
 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Oct 2014 02:36:59 +0200
612

Laurent Bigonville's avatar
Laurent Bigonville committed
613
gnome-software (3.14.1-1) unstable; urgency=medium
Laurent Bigonville's avatar
Laurent Bigonville committed
614 615 616 617 618

  * New upstream release
    - debian/control.in: Bump gtk+-3.0 build-dependency to 3.14.1
    - debian/rules: Bump plugin API version to 7

Laurent Bigonville's avatar
Laurent Bigonville committed
619
 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Oct 2014 09:12:33 +0200
Laurent Bigonville's avatar
Laurent Bigonville committed
620

Laurent Bigonville's avatar
Laurent Bigonville committed
621
gnome-software (3.14.0-1) unstable; urgency=low
622 623 624

  * Initial release (Closes: #722316)

Laurent Bigonville's avatar
Laurent Bigonville committed
625
 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Oct 2014 11:04:58 +0200